apiVersion: cluster.k8s.io/v1alpha1
kind: Machine
metadata:
  labels:
    cluster.sigs.k8s.io/cluster-name: mostest3
    kaas.mirantis.com/provider: equinixmetal
    kaas.mirantis.com/region: region-one
  name: mostest3-ctl-2
  namespace: mos
spec:
  providerSpec:
    value:
      OS: ubuntu_18_04
      apiVersion: equinix.kaas.mirantis.com/v1alpha1
      kind: EquinixMetalMachineProviderSpec
      machineType: c3.small.x86
      metadata:
        creationTimestamp: null
      nodeLabels:
        - displayName: OpenStack control plane
          key: openstack-control-plane
          value: enabled
        - displayName: OpenStack gateway
          key: openstack-gateway
          value: enabled
        - displayName: Open vSwitch
          key: openvswitch
          value: enabled
  versions:
    kubelet: ""
